* {
    box-sizing: border-box;
}

html, body {
    width: 100%;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

.container {
    margin: 0 auto;
    width: 100%;
}

.logo-text {
    display: flex;
    justify-content: space-around;
    align-items: center;
}

.logo-img {
    width: 100px;
    margin-top: 20px;}

.img-cart {
    width: 43px;
    border: 1px solid #333333;
    border-radius: 50%;
    padding: 5px;
    cursor: pointer;
    position: absolute;
}

.product-count {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #5452f4;
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

/* The ModalCart */
.modal-cart {
    transition: .4s all;
    display: none;
    max-width: 500px;
    width: 100%;
    color: #333;
    text-align: left;
    position: relative;
    cursor: auto;
    font-size: 16px;
    left: 50%;
}

/* Modal Content */
.modal-content-cart {
    background-color: #fefefe;
    padding: 20px 0;
    border: 1px solid #888;
    position: absolute;
    z-index: 2;
    border-radius: 10px;
}

.modal-content-block {
    padding: 0 20px;
}

.cart-title {
    margin: 0 auto;
    text-align: center;
}

.cart-title h3 {
    margin-top: 0;
    margin-bottom: 0;
}

.cart-title p {
    margin-top: 0;
}

.block-in-cart {
    display: flex;
    justify-content: space-around;
    border-top: 1px solid #C4C4C4;
}

.amount-in-cart {
    display: flex;
    align-items: center;
}

.amount-in-cart img {
    background: #4191FF;
    cursor: pointer;
}

.amount-in-cart .remove-count {
    background: #4191FF;
    cursor: pointer;
    transform: rotate(180deg);
}

.amount-in-cart div {
    font-weight: bold;
    padding: 0 10px;
    color: #4191FF;
}

.amount-in-cart .delete {
    padding: 1px 7px;
    margin: 0 5px;
    background: antiquewhite;
    color: red;
    font-size: 20px;
    cursor: pointer;
}

.img-in-cart {
    width: 20%;
    padding: 6px;
}

.title-price div {
    color: #4191FF;
}

.cart-total {
    display: flex;
    justify-content: space-around;
    background: #DAE2EA;
    margin-bottom: 15px;
    border-bottom: 1px solid #C4C4C4;
    border-top: 1px solid #C4C4C4;
}


.buy {
    background: #3C44B1;
    padding: 10px 0;
    cursor: pointer;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    width: 50%;
    margin: 0 auto;
    color: white;
    font-size: 20px;
    font-weight: bold;
    border: none;
    transition: 0.3s;
}

.buy:hover {
    background-color: #2F77DE;
    box-shadow: 0 0 5px rgba(18, 135, 191, 0.66);
}

.cart-close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.cart-close:hover,
.cart-close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}


/*main__sliders*/
.img-back {
    display: flex;
    justify-content: center;
}

.img-back img {
    display: block;
    position: absolute;
    height: 85%;
}

.slide__title {
    color: white;
    text-align: center;
    height: 507px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin-top: 22px;
    position: relative;
}

.slick-slide img {
    display: block;
    margin-top: 20px;
}

.slide__title h1 {
    font-size: 45px;
    margin-bottom: 10px;
}

.button-holder {
    padding: 12px 18px;
    border: none;
    border-radius: 5px;
    background-color: #0E49B5;
    color: white;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
    transition: 0.3s;
}

.button-holder:hover {
    background-color: #3870D3;
    box-shadow: 0 0 5px rgba(18, 135, 191, 0.66);
}

/*form-search*/
.form-search {
    text-align: center;
    position: relative;
}

#mySearch {
    margin-top: 10px;
    padding: 10px;
    width: 80%;
    box-shadow: 0 0 11px rgba(176, 189, 219, 0.66);
    border: 1px solid #E0E0E0;
}

.setting {
    width: 25px;
    position: absolute;
    z-index: 1;
    left: 85%;
    bottom: 6px;
}

/*menu*/
.main {
    display: flex;
}

.no-found-products {
    padding-top: 150px;
    margin-left: 400px;
    font-size: 35px;
    color: cadetblue;
}

.menu__filter {
    margin: 20px 0 0 20px;
    box-shadow: 0 0 11px rgba(176, 189, 219, 0.66);
    border-top-right-radius: 10px;
    height: 0%;
}

.accordion-img {
    position: absolute;
    z-index: 1;
}

.accordion-block {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 300px;
}

.accordion-filter {
    display: flex;
    background-color: #EDF3FF;
    color: #444;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    text-align: left;
    outline: none;
    transition: 0.4s;
    border: 1px solid #E0E0E0;
    position: relative;
}

.accordion-filter:first-child {
    border-top-right-radius: 10px;
}

.active, .accordion-filter:hover {
    background-color: white;
}

.panel {
    padding: 0 18px;
    background-color: white;
    display: none;
    overflow: hidden;
    margin: 10px;
}

.panel__price {
    display: flex;
    flex-direction: column;
}
.panel__price label {
    margin: 10px 0;
}

/*cards*/
.cards {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 60px;
    height: fit-content;
}

.product {
    margin: 25px 15px 0 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    border: 1px solid #E0E0E0;;
    width: 22%;
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(176, 189, 219, 0.66);
}

.cards-img {
    flex: 1 0 auto;
}

.cards-img img {
    width: 80%;
    padding: 10px;
    display: block;
    margin: 0 auto;
}

.like-filled {
    background: url("../img/icons/like_filled.svg") center center no-repeat;
    width: 25px;
    height: 25px;
    margin-left: 275%;
    margin-top: 42%;
}

.like_empty {
    background: url("../img/icons/like_empty.svg") center center no-repeat;
    width: 25px;
    height: 25px;
    margin-left: 275%;
    margin-top: 42%;
}

.add-to-cart {
    padding: 10px 30px;
    border: none;
    border-radius: 5px;
    background-color: #0E49B5;
    color: white;
    transition: 0.3s;
    margin-top: 6px;
    cursor: pointer;
}

.add-to-cart:hover {
    background-color: #96b3d3;
    box-shadow: 0 0 5px rgba(18, 135, 191, 0.66);
}

.cards-stock {
    display: flex;
    align-items: center;
    margin: -15px;
}

div.in-stock {
    background: url("../img/icons/check.svg") center center no-repeat;
    width: 50px;
    height: 50px;
}

div.out-of-stock {
    background: url("../img/icons/close.svg") center center no-repeat;
    width: 50px;
    height: 50px;
}

button.out-of-stock {
    background: #888888;
    pointer-events: none;
}

.info {
    flex: 0;
}

div.info {
    background-color: #DAE2EA;
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 10px;
    border-bottom-left-radius: 8px;
    border-bottom-right-radius: 8px;
}

.info img {
    width: 25px;
    height: 25px;
}

.info-like {
    display: flex;
    align-items: center;
}

.info-orders {
    display: flex;
    flex-direction: column;
    align-items: center;
}

/*modal*/
.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, .6);
    overflow: auto;
    z-index: 999;
    transition: .4s all;
    opacity: 0;
    visibility: hidden;
    cursor: pointer;
}

.modal-overlay_visible {
    opacity: 1;
    visibility: visible;
}

.modal-table {
    display: table;
    width: 100%;
    height: 100%;
}

.modal-table-cell {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    padding: 0 15px;
}

.modal {
    transition: .4s all;
    display: inline-block;
    padding: 35px 45px 20px 30px;
    max-width: 800px;
    width: 100%;
    background: #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .25);
    color: #333;
    text-align: left;
    margin: 30px 0;
    transform: translate(0, 20%);
    position: relative;
    border-radius: 4px 6px 4px 4px;
    cursor: auto;
    font-size: 16px;
}

.modal-overlay_visible .modal {
    transform: translate(0);
}

.modal__content p {
    padding: 0 0 10px 0;
}

.modal__close {
    position: absolute;
    right: 10px;
    top: 0;
    background: #da4d43;
    width: 25px;
    height: 25px;
    border-radius: 0 0 4px 4px;
    transition: .4s all;
}

.modal__close:hover {
    background: #ed5f55;
    cursor: pointer;
}

.modal__close:before,
.modal__close:after {
    content: "";
    display: block;
    height: 16px;
    width: 1px;
    transform: rotate(45deg);
    background: #fff;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    top: 0;
    bottom: 0;
}

.modal__close:after {
    transform: rotate(-45deg);
}

/*modal-content*/
.modal__product {
    display: flex;
    align-items: center;
    margin: 20px;
    justify-content: space-around;
}

.info__about {
    padding-left: 0;
}

.info__about li {
    list-style-type: none;
}

.modal__product__img {
    width: 220px;
}

.modal__product  img {
    width: 100%;
}

.modal__product__info {
    width: 300px;
}

.modal__product__price  {
    text-align: center;
}

/*@media*/
@media (max-width: 991px) {
    .accordion-block {
        width: 200px;
    }

    .no-found-products {
        margin-left: 200px;
    }

    .product {
        width: 28%;
    }
}

@media (max-width: 767px) {
    .product {
        width: 40%;
    }

    .no-found-products {
        margin-left: 100px;
    }
}

@media (max-width: 575px) {
    .product {
        width: 90%;
    }

    .no-found-products {
        margin-left: 75px;
        font-size: 20px;
    }
}
